> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get registry

> Get detailed information about a specific container registry.



## OpenAPI

````yaml /api-reference/services_docs_mintlify/cloud_api.yaml get /cloud/v1/registries/{project_id}/{region_id}/{registry_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 2606518da447
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
  - name: Container as a Service
  - name: Cost Reports
  - name: DDoS Protection
  - name: Everywhere Inference
  - name: Everywhere Inference Apps
  - name: File Shares
  - name: Floating IPs
  - name: Function as a Service
  - name: GPU Bare Metal
  - name: GPU Virtual
  - name: IP Ranges
  - name: Images
  - name: Instances
  - name: Load Balancers
  - name: Logging
  - name: Managed Kubernetes
  - name: Managed PostgreSQL
  - name: Networks
  - name: Placement Groups
  - name: Ports
  - name: Projects
  - name: Quotas
  - name: Regions
  - name: Registry
  - name: Reservations
  - name: Reserved IPs
  - name: Routers
  - name: SSH Keys
  - name: Secrets
  - name: Security Groups
  - name: Snapshot Schedules
  - name: Snapshots
  - name: Tasks
  - name: User Actions
  - name: User Role Assignments
  - name: Volumes
paths:
  /cloud/v1/registries/{project_id}/{region_id}/{registry_id}:
    get:
      tags:
        - Registry
      summary: Get registry
      description: Get detailed information about a specific container registry.
      operationId: RegistryHandler.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            type: integer
        - in: path
          name: registry_id
          required: true
          description: Registry ID
          schema:
            type: integer
      responses:
        '200':
          description: Registry details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegistrySerializer'
        '404':
          description: Registry not found
components:
  schemas:
    RegistrySerializer:
      properties:
        created_at:
          description: Registry creation date-time
          example: '2024-06-18T09:36:53.335000Z'
          examples:
            - '2024-06-18T09:36:53.335000Z'
          format: date-time
          title: Created At
          type: string
        id:
          description: Registry ID
          example: 1
          examples:
            - 1
          title: Id
          type: integer
        name:
          description: Registry name
          example: company-name
          examples:
            - company-name
          title: Name
          type: string
        repo_count:
          description: Number of repositories in the registry
          example: 1
          examples:
            - 1
          title: Repo Count
          type: integer
        storage_limit:
          description: Registry storage limit, GiB
          example: 5
          examples:
            - 5
          title: Storage Limit
          type: integer
        storage_used:
          description: Registry storage used, bytes
          example: 1000000000
          examples:
            - 1000000000
          title: Storage Used
          type: integer
        updated_at:
          description: Registry modification date-time
          example: '2024-06-18T09:36:53.335000Z'
          examples:
            - '2024-06-18T09:36:53.335000Z'
          format: date-time
          title: Updated At
          type: string
        url:
          description: Registry url
          title: Url
          type: string
      required:
        - id
        - name
        - storage_limit
        - storage_used
        - url
        - created_at
        - updated_at
        - repo_count
      title: RegistrySerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````